Name:           kazam
Version:        1.4.5
Release:        10.3.ss%{?dist}
Summary:        A screencasting program created with design in mind
License:        GPLv3+
Group:          Video/Utilities
URL:            https://launchpad.net/kazam
Source0:        https://launchpad.net/kazam/stable/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:         kazam-1.4.5-mga-desktop-drop-unity-and-keywords.patch
Patch1:         kazam-1.4.5-configparser_api_changes_new.patch
Patch2:         kazam-1.4.5-fix-some-PyGIWarning.patch
BuildRequires:  intltool
BuildRequires:  python3-distutils-extra
BuildRequires:  python3-devel
Requires:       python3-cairo
Requires:       python3-dbus
Requires:       python3-gobject
Requires:       python3-pyxdg
BuildArch:      noarch

%description
Kazam is a simple screen recording program that will capture the content of
your screen and record a video file that can be played by any video player
that supports VP8/WebM video format.

Optionally you can record sound from any sound input device that is supported
and visible by PulseAudio.

%prep
%setup -q
%autopatch -p1
sed -i s,"DISTRO='Ubuntu'","DISTRO='%{vendor}'",g kazam/version.py
sed -i s,"RELEASE='.*'","RELEASE='%{product_version}'",g kazam/version.py

%build
python3 setup.py build

%install
python3 setup.py install --root=%{buildroot}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/gnome/scalable/apps/%{name}*.svg
%{_datadir}/icons/hicolor/*/*/%{name}*.png
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Feb 22 2017 Wei-Lun Chao <bluebat@member.fsf.org> - 1.4.5
- Rebuild for Fedora
* Mon Sep 12 2016 daviddavid <daviddavid> 1.4.5-4.mga6
+ Revision: 1051617
- add patch from debian to fix a configparser api changes (fixes mga#19334)
- add another patch to fix some PyGIWarning specifying first a version
* Fri Feb 19 2016 umeabot <umeabot> 1.4.5-3.mga6
+ Revision: 970719
- Mageia 6 Mass Rebuild
* Thu Oct 08 2015 daviddavid <daviddavid> 1.4.5-2.mga6
+ Revision: 887773
- rebuild for python 3.5
- use new python3 macros
* Sat Jul 11 2015 akien <akien> 1.4.5-1.mga6
+ Revision: 853311
- Also drop keywords from desktop file as some translations are invalid
- Drop Unity-specific stuff from desktop file
- imported package kazam
